Bug 513307 - Review Request: Netdisco - A web-based network management tool
Summary: Review Request: Netdisco - A web-based network management tool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Silas Sewell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-22 22:46 UTC by Walter Gould
Modified: 2014-02-10 13:16 UTC (History)
5 users (show)

Fixed In Version: 0.95-4.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-31 18:05:11 UTC
silas: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Walter Gould 2009-07-22 22:46:41 UTC
Spec URL: http://auburn.edu/~gouldwp/netdisco/rpms/netdisco.spec
SRPM URL: http://auburn.edu/~gouldwp/netdisco/rpms/netdisco-0.95-1.fc11.src.rpm
Description: Netdisco is a network management application targeted at large
corporate and university networks. Data is collected into a Postgres
database using SNMP and presented with a clean web interface using Mason.

Comment 1 Walter Gould 2009-07-24 21:42:07 UTC
$ rpmlint netdisco-0.95-1.fc11.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 2 Silas Sewell 2009-07-25 21:16:33 UTC
Package Review
==============

Package: netdisco

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec
 [x] Package meets the Packaging Guidelines
 [x] Package successfully compiles and builds into binary RPMs on at least one supported architecture
     Tested on: F11/i386
 [X] Rpmlint output:
     Source RPM:
     [silas@fox rpmbuild]$ rpmlint /var/lib/mock/fedora-11-i386/result/*.rpm
     netdisco.src: W: strange-permission netdisco.init 0755
     netdisco.src: W: strange-permission netdisco_config 0755
     2 packages and 0 specfiles checked; 0 errors, 2 warnings.
 [x] Package is not relocatable
 [x] Buildroot is correct
     master   : %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
     spec file: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [?] License field in the package spec file matches the actual license
     License type: BSD
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc
 [x] Spec file is legible and written in American English
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL
     Upstream source: 24ff61ee909fcdb47eb837967dbb67be  netdisco-0.95.tar.gz
     Build source:    24ff61ee909fcdb47eb837967dbb67be  netdisco-0.95.tar.gz
     Upstream source: 35b656bdb8506f0b413c4abab44523e6  netdisco-mibs-0.7.tar.gz
     Build source:    35b656bdb8506f0b413c4abab44523e6  netdisco-mibs-0.7.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] Architecture independent packages have: BuildArch: noarch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.  %find_lang used for locales
 [-] %{optflags} or RPM_OPT_FLAGS are honoured
 [-] ldconfig called in %post and %postun if required
 [x] %install starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT
 [x] Package must own all directories that it creates
 [x] Package requires other packages for directories it uses
 [x] Package does not own files or directories owned by other packages
 [x] Package does not contain duplicates in %files
 [!] Permissions on files are set properly. %defattr(-,root,root,-) is in every %files section
     Just change %defattr(-,root,root) to %defattr(-,root,root,-)
 [x] Package uses nothing in %doc for runtime
 [x] Package has a %clean section, which contains rm -rf %{buildroot} or $RPM_BUILD_ROOT
 [-] Included tests passed successfully 
 [x] Package consistently uses macros
 [x] Package contains code, or permissable content
 [x] Included filenames are in UTF-8

 [-] Large documentation files are in a -doc subpackage, if required
 [-] Header files (.h) in -devel subpackage, if present
 [-] Fully versioned dependency in subpackage, if present
 [-] Static libraries (.a) in -static subpackage, if present
 [-] Package requires pkgconfig, if .pc files are present
 [-] Development .so files in -devel subpackage, if present
 [x] Package does not contain any libtool archives (.la)
 [-] -debuginfo subpackage is present and looks complete
 [x] No pre-built binaries (.a, .so*, executable)

 [-] Package contains a properly installed .desktop file if it is a GUI application
 [-] Follows desktop entry spec
 [-] Valid .desktop Name
 [-] Valid .desktop GenericName
 [-] Valid .desktop Categories
 [-] Valid .desktop StartupNotify
 [-] .desktop file installed with desktop-file-install in %install

=== SUGGESTED ITEMS ===
 [-] Timestamps preserved with cp and install
 [-] Uses parallel make (%{?_smp_mflags})
 [x] Latest version is packaged
 [x] Package does not include license text files separate from upstream
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available
 [x] Reviewer should test that the package builds in mock
     Tested on: F11/i386
 [-] Package should compile and build into binary RPMs on all supported architectures.
 [-] Package functions as described
 [-] Scriptlets must be sane, if used
 [-] The placement of pkgconfig(.pc) files is correct
 [-] File based requires are sane
 [x] Changelog in allowed format

Notes:
 * You should change /usr/share/ to %_datadir in the %files section
 * Most of the explicit %attr aren't required in %files
 * Patches are suppose to have comments: https://fedoraproject.org/wiki/Packaging/Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment
   Although it might be easier just to change those patches to seds
 * I know nothing about the vendor mips packaged in netdisco-mips, I'm assuming you know if they're allowed to be packaged in Fedora or not.

Fix the above issues and I'll approve the package.

Comment 3 Walter Gould 2009-07-26 21:30:24 UTC
Ok, fixed the blocks.

* You should change /usr/share/ to %_datadir in the %files section -- DONE
* Most of the explicit %attr aren't required in %files -- DONE 
* Patches are suppose to have comments: Although it might be easier just to change those patches to seds. -- DONE; On this one, I fixed the files w/o applying patches. 
* I know nothing about the vendor mips packaged in netdisco-mips, I'm assuming you know if they're allowed to be packaged in Fedora or not. -- DONE; These are MIB (Management Information Base) files that network vendors offer to the public that allow their devices (switches/routers) to be monitored.  Since they are offered freely to the public, there shouldn't be a problem in including them in this package.   

Below are the new spec file and src rpm.

http://auburn.edu/~gouldwp/netdisco/rpms/netdisco-0.95-2.fc11.src.rpm
http://auburn.edu/~gouldwp/netdisco/rpms/netdisco.spec

Comment 4 Silas Sewell 2009-07-26 23:00:18 UTC
Looks good.

Doesn't really matter for the first release, but you'll want to append to the changelog as opposed to overwriting. 

Approved.

Comment 5 Walter Gould 2009-07-27 17:01:14 UTC
Thanks Silas, I appreciate the review.

Comment 6 Walter Gould 2009-07-27 21:55:51 UTC
New Package CVS Request
=======================
Package Name: netdisco
Short Description: A web-based network management tool
Owners: gouldwp
Branches: F-11 EL-5
InitialCC:

Comment 7 Kevin Fenzi 2009-07-28 04:42:51 UTC
cvs done.

Comment 8 Fedora Update System 2009-07-30 21:32:12 UTC
netdisco-0.95-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/netdisco-0.95-2.fc11

Comment 9 Fedora Update System 2009-07-31 18:05:06 UTC
netdisco-0.95-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2009-09-18 04:57:14 UTC
netdisco-0.95-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/netdisco-0.95-4.el5?_csrf_token=419f74d478ed12ee5c3b14c347786d6e464094bd

Comment 11 Fedora Update System 2009-10-08 18:02:17 UTC
netdisco-0.95-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Christopher Meng 2014-02-08 04:45:15 UTC
Package Change Request
======================
Package Name: netdisco
New Branches: epel7
Owners: gouldwp cicku

Comment 13 Gwyn Ciesla 2014-02-10 13:16:35 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.